Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface LabeledBorder

All Superinterfaces:
  Border

All Known Implementing Classes:
  AbstractLabeledBorder, FrameBorder

public interface LabeledBorder
extends Border

LabeledBorders have a text message somewhere on them. The Font for the text can be set. LabeledBorders should not change their Insets when the label changes, therefore, Figures using this Border should repaint() when updating the label, and revalidate() when changing the Font.

Method Summary
`String` `getLabel()` Returns the label for this Border.
`void` `setFont(Font f)` Sets the Font for the label.
`void` `setLabel(String l)` Sets the text to be displayed as the label for this Border.

Methods inherited from interface org.eclipse.draw2d.Border
`getInsets, getPreferredSize, isOpaque, paint`

Method Detail

### getLabel

    public String getLabel()

  Returns the label for this Border.

  Returns:
    The label for this Border

### setFont

    public void setFont(Font f)

  Sets the Font for the label.

  Parameters:
    `f` - The Font to be set

### setLabel

    public void setLabel(String l)

  Sets the text to be displayed as the label for this Border.

  Parameters:
    `l` - The text

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.